﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="CMS.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
      <section name="DXThemeManager" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
  </startup>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlConnectionFactory, EntityFramework" />
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
  <connectionStrings>
    <add name="ClinicDataModel" connectionString="data source=(LocalDb)\MSSQLLocalDB;initial catalog=CMS;integrated security=True;MultipleActiveResultSets=True;App=EntityFramework" providerName="System.Data.SqlClient" />
    <!--  <add name="ClinicDataModel" connectionString="data source=.\SQLEXPRESS;initial catalog=CMS;integrated security=True;MultipleActiveResultSets=True;App=EntityFramework" providerName="System.Data.SqlClient" /> -->
  </connectionStrings>
  <userSettings>
    <DXThemeManager>
      <setting name="ApplicationThemeName" serializeAs="String">
        <value>Office2016White</value>
      </setting>
    </DXThemeManager>
    <CMS.Properties.Settings>
      <setting name="PatientsCustomFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
        </value>
      </setting>
      <setting name="PatientsStaticFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
      <setting name="AppointmentsCustomFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
        </value>
      </setting>
      <setting name="AppointmentsStaticFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
      <setting name="DoctorsCustomFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
        </value>
      </setting>
      <setting name="DoctorsStaticFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
      <setting name="InvoicesCustomFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
        </value>
      </setting>
      <setting name="Useless" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>On probation </Name>
              <FilterCriteria>Not IsNull([Name])</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
      <setting name="InvoicesStaticFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
            <FilterInfo>
              <Name>Draft</Name>
              <FilterCriteria>([InvoiceStatus] = 0)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Ordered</Name>
              <FilterCriteria>([InvoiceStatus] = 1)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Done</Name>
              <FilterCriteria>([InvoiceStatus] = 2)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Canceled</Name>
              <FilterCriteria>([InvoiceStatus] = 3)</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
      <setting name="ExpensesCustomFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema" />
        </value>
      </setting>
      <setting name="ExpensesStaticFilters" serializeAs="Xml">
        <value>
          <ArrayOfFilterInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <FilterInfo>
              <Name>All</Name>
            </FilterInfo>
            <FilterInfo>
              <Name>Draft</Name>
              <FilterCriteria>([ExpenseStatus] = 0)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Done</Name>
              <FilterCriteria>([ExpenseStatus] = 1)</FilterCriteria>
            </FilterInfo>
            <FilterInfo>
              <Name>Canceled</Name>
              <FilterCriteria>([ExpenseStatus] = 2)</FilterCriteria>
            </FilterInfo>
          </ArrayOfFilterInfo>
        </value>
      </setting>
    </CMS.Properties.Settings>
  </userSettings>
</configuration>